Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 2)

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155

Открыть новую тему     Написать ответ в эту тему

Maz



Дед Мазай
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Предыдущие темы: Часть 1


Браузер оптимизирован для современных процессоров (оптимизирована компиляция программного кода для CPU).
Pale Moon поддерживает все процессоры (CPU) начиная от седьмого поколения поддерживающих SSE2 и 3, т.е Pentium IV, Pentium-M/Celeron-M, Pentium-D/Celeron-D,AMD Opteron/Athlon64 и все современные многоядерные процессоры.
 
По данным разработчиков скорость браузера Pale Moon на 22%-25% выше Firefox, но к сожалению нет регламентированных тестов по которым можно было бы точно определить скорость.
 

(Начиная с версии 27 поддержка Windows XP x86/x64, Server 2003 и любых retail NT 5.x прекращена)
Однако, существуют пользовательские сборки под XP на основе исходников, смотрите ниже.

    Преимущества:
  • Поддержка расширений и тем Firefox
  • Оптимизированный 100% исходный код Firefox
  • Увеличение скорости выполнения скриптов и отображения страниц по сравнению с Firefox
  • Использование меньше памяти по сравнению с Firefox.
  • Расширенная поддержка DOM
  • В портативной сборке в отличие от Firefox можно одновременно запускать несколько копий программы (из разных папок).

Утилита миграции с FF на PM (Pale Moon profile migration tool): скачать
 
Ссылки:
Release notes / Checksums
Pale Moon 28.x.x Eng (x86: exe / zip / portable) | (x64: exe / zip / portable)
---
Pale Moon 27.9.4 Eng (x86: exe / zip / portable) | (x64: exe / zip / portable)

Версии для MacOS

Windows 98 | Windows XP | Пакеты локализации / Инструкция по их установке
 
Пользовательские сборки Рalemoon
Как сделать обычный Pale Moon портативным | альтернативный способ (проще)
Перевод расширений от DmFedorov
Утилита  MozArchiver для сохранения в mht взамен неработающей на 26+ UnMHT
Disable Add-on Compatibility Checks - утилита, отменяющая проверку совместимости и позволяющая ставить запрещенные расширения на Pale Moon
Исправление невозможности запуска нескольких копий портативной версии программы (в том числе и при открытии локальных файлов)
Перечень расширений, проблемных, находящихся в работе и излечиваемых в т. ч. и Moon tester tool
MozBackup It allows you to backup and restore bookmarks, mail, contacts, history, extensions, passwords, cache etc.
Pale Moon Status Bar" можно убрать, удалив "Palemoon\extensions\statusbar@palemoon.org.xpi"
ссылка на архив старых расширений mozilla(удаленных с официального сайта)  Ссылка
способ применения:
1.берем с сайта самый свежий по дате выпуска ca-archive.xpi, устанавливаем
2.жмем по появившейся справа от адресной строки иконке firefox  
3.открывается страница расширения, ждем пока сгенерируется база, жмем обновить страницу в конце.
4.пользуемся(зеркало открывается при нажатии на иконку firefox)

Всего записей: 36085 | Зарегистр. 26-02-2002 | Отправлено: 22:14 17-03-2018 | Исправлено: zzz528, 18:20 20-09-2019
RetroRocket



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Vasily_Koshkin
Цитата:
о неработоспособности АНТИЗАПРЕТА. И вот на днях история получила продолжение
Судя по скриншоту, провайдер пытается подменить сертификат рутрекера своим собственным (MGTS), о чём браузер честно предупреждает.
Это классическая MITM-атака.
Причина вполне очевидна - желание расшифровывать https-трафик пользователя c целью контроля/блокировки.
Подобным ещё ростeлeком "балуется". Нормальные провайдеры до такого пока что не опустились.
Если не боитесь прослушки, то попробуйте добавить сертификат МГТС в исключения.
Впрочем, лично я бы в такой ситуации попробовал VPN.  
Хотя бы бесплатный вариант от Windscribe. Клиент под WinXP у них есть.  
 
selkv
Цитата:
Это проблема на стороне владельцев сайта, которые экономят на получении валидного сертификата.
Причём тут сайт то, если на скриншоте сертификат МГТС?
У рутрекера нормальный сертификат.
 


----------
"... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

Всего записей: 1277 | Зарегистр. 02-01-2018 | Отправлено: 17:32 17-09-2019 | Исправлено: RetroRocket, 17:39 17-09-2019
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket

Цитата:
Это классическая MITM-атака.

Благодарю за ликбез. Если я правильно понял, у MGTS просто истек "левый" сертификат, который они суют вместо нормального, чтобы получить отлуп. Три месяца назад сертификат еще действовал, поэтому и сообщение было с другим текстом.

Цитата:
Если не боитесь прослушки, то попробуйте добавить сертификат МГТС в исключения.  

Меня несколько смущает то, что проблемы есть только в Пельмене. Последние XP-совместимые версии Chrome и классического Firefox (Ореra, извините, не проверял) запросто работают при аналогичных настройках прокси без VPN и без добавления сертификата в исключения. Собственно, цель данного обсуждения - понять, чем отличается поведение именно нашего браузера. На всякий случай у нас есть универсальный подпиленный Browsec от zzz528, способный выручить в данной ситуации.

Всего записей: 1060 | Зарегистр. 07-02-2004 | Отправлено: 01:02 18-09-2019 | Исправлено: Vasily_Koshkin, 01:58 18-09-2019
RetroRocket



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Vasily_Koshkin
Цитата:
у MGTS просто истек "левый" сертификат
Надо просто посмотреть все поля сертификата - кем выдан, кому выдан, срок действия и т.п.

Цитата:
проблемы есть только в Пельмене. Последние XP-совместимые версии Chrome и классического Firefox (Ореra, извините, не проверял) запросто работают
Странно конечно.
В FF 52.9.0 должно быть похожее поведение при подмене сертификата.
Может изменены какие-то настройки в about:config?  
Навскидку, сравните значения параметров "security.OCSP." в FF и MyPal.  
И посмотрите в обоих браузерах файл SiteSecurityServiceState.txt на наличие строки с рутрекером.  
Либо проверьте с чистым профилем + proxy.pac.

----------
"... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

Всего записей: 1277 | Зарегистр. 02-01-2018 | Отправлено: 09:32 18-09-2019
roma6ka



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Del

Всего записей: 127 | Зарегистр. 13-03-2006 | Отправлено: 09:55 18-09-2019 | Исправлено: roma6ka, 09:59 18-09-2019
putak



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Coroed

Цитата:
Парни, подскажите работает ли Atavi в Pale Moon v.28.7.0? (ОС Win7 x64 Pro)
И, если да, какая версия Atavi корректно работает и где её взять?
P.S
Установил Atavi v.1.1.4.1.1-signet (другие версии не ставятся), а она работает как то не так: в частности звёздочка "Отправить в закладки на Atavi" не активна и при нажатии на неё ничего не происходит - закладка не добавляется...
В другие браузеры устанавливается Atavi v.1.1.2 и там всё нормально

 
1) Пытаться прикрутить несовместимую версию к браузеру, зачастую приводит к глюкам и ошибкам, т.к. только разработчик дополнения (или разработчик браузера) знает как исправить ошибки
 
2) Если в других браузерах работает нормально, значит Atavi не совместим с Pale Moon
Попробуйте ещё более раннюю версию Atavi 1.1.3.1-signed
 
3) Найдите альтернативу
 
 
 

Всего записей: 91 | Зарегистр. 14-12-2007 | Отправлено: 10:25 18-09-2019
roma6ka



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
сегодня на пельмене версии 28.8.0a1 отказался открываться youtube. Предлагает обновить браузер. Есть методы лечения?

Всего записей: 127 | Зарегистр. 13-03-2006 | Отправлено: 10:29 18-09-2019
putak



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Vasily_Koshkin
К доступу на Rutracker использую замечательное одноимённое расширение "Доступ к Рутрекеру 1.1.3" в Classic Add-ons Archive
 
К остальным запрещённым сайтам использую платное расширение DotVPN ($4,99/мес; $34,99/год; $58,99/3 года), также находящиеся в Classic Add-ons Archive
Скорость сети практически не отличается от вашего подключения, и крупных глюков в работе не наблюдалось
Премиум подписка на год уже заканчивается - буду продлевать
 
roma6ka

Цитата:
сегодня на пельмене версии 28.8.0a1 отказался открываться youtube. Предлагает обновить браузер. Есть методы лечения?

Версия Pale Moon 28.7.1 - Youtube открывает нормально
Можно попробовать обмануть Youtube, подсунув другой User-Agent, например с помощью расширения uMatrix  

Всего записей: 91 | Зарегистр. 14-12-2007 | Отправлено: 10:57 18-09-2019 | Исправлено: putak, 11:07 18-09-2019
Coroed

Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
putak

Цитата:
Пытаться прикрутить несовместимую версию к браузеру, зачастую приводит к глюкам и ошибкам.... Если в других браузерах работает нормально, значит Atavi не совместим с Pale Moon

Брал в Classic Add-ons Archive - вроде должно быть совместимо...

Цитата:
Найдите альтернативу

Не видел похожего...
 
 

Всего записей: 263 | Зарегистр. 06-04-2009 | Отправлено: 13:54 18-09-2019
Fartela

Newbie
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Благодарю за сборку. Как раз к стати!




Все благодарности посредством ПМ.
И, кстати, "кстати" пишется слитно

Всего записей: 11 | Зарегистр. 21-05-2008 | Отправлено: 14:59 18-09-2019 | Исправлено: Maz, 15:07 18-09-2019
volkovysk



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
сегодня на пельмене версии 28.8.0a1 отказался открываться youtube. Предлагает обновить браузер. Есть методы лечения?
В юзерагенте, если прописан Фирефокс, то надо ставить его версию 44 или выше. Сегодня ночью без объявления войны «YouTube» обрубил доступ на свой сервис всем хромоклонам до 53(включительно) версии хромодвижка и геккобраузерам до 43(включительно) версии. Только через ифрейм ещё идут видео, но думаю это ненадолго.

Всего записей: 156 | Зарегистр. 21-04-2011 | Отправлено: 15:34 18-09-2019
harrykkk



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
volkovysk

Цитата:
В юзерагенте, если прописан Фирефокс, то надо ставить его версию 44 или выше

Не заметил каких-либо изменений, пока все работает на 42-м UA
 
putak

Цитата:
Можно попробовать обмануть Youtube, подсунув другой User-Agent, например с помощью расширения uMatrix

Не обманите себя. Для этих целей в about:config есть параметр

Код:
general.useragent.override.youtube.com

Всего записей: 1458 | Зарегистр. 24-02-2013 | Отправлено: 16:34 18-09-2019
volkovysk



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Не заметил каких-либо изменений, пока все работает на 42-м UA  
Не до всех серверов дошли изменения. Дело времени. Недавно начался грандиозный передел на ютубе.

Всего записей: 156 | Зарегистр. 21-04-2011 | Отправлено: 17:04 18-09-2019
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket

Цитата:
В FF 52.9.0 должно быть похожее поведение при подмене сертификата.
Может изменены какие-то настройки в about:config?  
Навскидку, сравните значения параметров "security.OCSP." в FF и MyPal.  

Параметры практически идентичные. В Пельмене вот так
В Firefox еще присутствует security.ssl.enable_ocsp_must_staple = true, но его наличие и значение на проблему никак не влияет.  
Я пробовал его добавлять/удалять/изменять в обоих браузерах - в FF всегда работает, в PM никогда.  

Цитата:
И посмотрите в обоих браузерах файл SiteSecurityServiceState.txt на наличие строки с рутрекером.  

Файл есть и там, и там, разного размера, упоминания о rutracker.org нет ни в одном из них.

Всего записей: 1060 | Зарегистр. 07-02-2004 | Отправлено: 18:48 18-09-2019 | Исправлено: Vasily_Koshkin, 18:50 18-09-2019
RetroRocket



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Vasily_Koshkin
Цитата:
в FF всегда работает, в PM никогда.
К сожалению, именно вашу ситуацию с МГТС смоделировать не могу, но вот получить такую же ошибку "sec_error_unknown_issuer" можно на тестовом сайте https://untrusted-root.badssl.com/.
Там специально использован сертификат от издателя, который неизвестен браузерам.
И Пельмень/MyPal 27.9.4, и FF 52.9.0 у меня реагируют одинаково, выдавая предупреждение о незащищённом/недоверенном соединении.
 


----------
"... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

Всего записей: 1277 | Зарегистр. 02-01-2018 | Отправлено: 20:52 18-09-2019
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket

Цитата:
получить такую же ошибку "sec_error_unknown_issuer" можно на тестовом сайте https://untrusted-root.badssl.com/.  

Спасибо за наводку, очень любопытный ресурс.
Я подозреваю, что в моем случае происходит не совсем ошибка, а некая ситуация, которую Пельмень воспринимает, как ошибку "sec_error_unknown_issuer", но что с этим можно сделать, я не знаю. Использовать какой-нибудь анализатор трафика или как это правильно называется? В этом вопросе моих знаний и навыков недостаточно.  

Всего записей: 1060 | Зарегистр. 07-02-2004 | Отправлено: 22:21 18-09-2019
Kero1



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
selkv
rutracker.org уже давно на https )
 
metlbist

Цитата:
включить отображение загрузок в отдельном окошке

пробуйте Download Panel Tweaker,

Всего записей: 1276 | Зарегистр. 23-08-2011 | Отправлено: 23:12 18-09-2019
selkv

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Kero1

Цитата:
rutracker.org уже давно на https )

http://forum.ru-board.com/topic.cgi?forum=5&topic=49744&start=2940#18

Всего записей: 1898 | Зарегистр. 04-12-2002 | Отправлено: 09:01 19-09-2019
volkovysk



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Никто не знает, это расширение станет на ПалеМун и МайПал? https://addons.mozilla.org/ru/firefox/addon/youtube-classic/

Всего записей: 156 | Зарегистр. 21-04-2011 | Отправлено: 13:26 19-09-2019 | Исправлено: volkovysk, 13:29 19-09-2019
MAX63ru



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
volkovysk

Цитата:
Никто не знает, это расширение станет на ПалеМун и МайПал? https://addons.mozilla.org/ru/firefox/addon/youtube-classic/

Странный вопрос... А что мешает проверить это самому?

Всего записей: 4630 | Зарегистр. 14-04-2012 | Отправлено: 13:59 19-09-2019
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
putak

Цитата:
К доступу на Rutracker использую замечательное одноимённое расширение "Доступ к Рутрекеру 1.1.3"

Благодарю за наводку, всё отлично работает. Странно, что никто до сих пор не попытался сделать подобное расширение для всех заблокированных сайтов.

Цитата:
Пытаться прикрутить несовместимую версию к браузеру, зачастую приводит к глюкам и ошибкам,

Почему? "Доступ к Рутрекеру" пришлось же подпиливать - и всё получилось, работоспособность не пострадала. Правда я не очень тщательно тестировал, скажу честно.  
 

Всего записей: 1060 | Зарегистр. 07-02-2004 | Отправлено: 19:03 19-09-2019
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155

Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 2)

Имя:
Пароль:
Сообщение

Для вставки имени, кликните на нем.

Опции сообщенияДобавить свою подпись
Подписаться на получение ответов по e-mail
Добавить тему в личные закладки
Разрешить смайлики?
Запретить коды


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru